services:
  infra-assistant:
    build:
      context: ./api
    container_name: infra-assistant
    working_dir: /app
    ports:
      - 8008:8000
    volumes:
      - ./api:/app/api
    env_file:
      - .env
    networks:
      tan-network:
        ipv4_address: 10.10.0.140
  ollama:
    image: ollama/ollama
    container_name: ollama
    volumes:
      - ollama:/root/.ollama
    networks:
      tan-network:
        ipv4_address: 10.10.0.141
networks:
  tan-network:
    external: true
volumes:
  ollama: null
